---
# tasks file for nginx-ha-keepalived

- name: Ensure nginx-ha-keepalived is installed
  apt:
    name: nginx-ha-keepalived
    state: present
  notify: "start keepalived"

- name: Ensure keepalived configuration is defined as expected
  template:
    src: "keepalived.conf.j2"
    dest: "{{ keepalived_config_file }}"
    owner: "{{ keepalived_group }}"
    group: "{{ keepalived_user }}"
    mode: '0644'
  notify: "reload keepalived"
